# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name netlist-to-vhdl

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        0.3.1
Release:        6%{?dist}
Summary:        Convert a Netlist AST to VHDL

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-netlist-devel
BuildRequires:  ghc-pretty-devel
# End cabal-rpm deps

%description
Package that converts Netlist AST to VHDL.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files LICENSE

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.3.1-5
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.3.1-3
- Updated summary and description.

* Sat Jun 02 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.3.1-2
- Spec file template generated by cabal2spec-0.25.5

* Thu Feb 16 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.3.1-1
- Updated license info.
- Spec file template generated by cabal2spec-0.25.2.
